\DocumentMetadata{pdfstandard=a-2u}
\documentclass[version=preprint]{iacrcc}
\license{CC-by}

\usepackage[T1]{fontenc}
\input{preamble}

\title[running  = {Complexity and Admissible Parameters of the Crossbred Algorithm},
      ]{On the Complexity and Admissible Parameters of the Crossbred Algorithm}

\addauthor[orcid    = {0000-0001-5236-260X},
           inst     = {1,2},
           email    = {joao@diogoduarte.pt},
           surname  = {Duarte}
          ]{João Diogo Duarte}

\addaffiliation[country = {United Kingdom},
		ror     = {04g2vpn86},
		]{Royal Holloway University of London*}
		

\genericfootnote{$*$ This work is based on the author's Master's thesis while at Royal Holloway, supervised by Prof. Martin Albrecht. At the time of publication, the author is a PhD student at the University of Porto.}

\begin{document}

\maketitle

\keywords{Crossbred Algorithm, Post-Quantum Cryptography, Multivariate Equations}


% Provide the abstract of your paper
\begin{abstract}
	\input{sections/00_abstract.tex}
\end{abstract}

% A separate text-only abstract must be supplied in your final version.
% This will be used for web pages and indexing and should not contain macros.
\begin{textabstract}
	The Joux--Vitse Crossbred algorithm's aim is to efficiently solve a system of semi-regular multivariate polynomials equations.
	The authors tested their algorithm for boolean polynomials in F2 and stated that this algorithm also works for other non-boolean finite fields.
	In addition, the algorithm is dependent on a set of parameters that control its course.
	Finding functional parameters for this algorithm is a non-trivial task, so the authors presented a bivariate generating series to test the admissibility of parameters in F2.
	However, due to restrictive page limits, the series itself and its derivation are not explained.
	In this work, the derivation of the bivariate generating series to test the admissibility of parameters in boolean F2 is explained and from this, a new series for other non-boolean fields, Fq>2 is presented.
	In addition, a complexity estimate of the algorithm is given for both F2 and Fq>2.
	By obtaining optimal parameters using the previous results, the cost of applying Crossbred to polynomial systems of various sizes, numbers of variables and values of q was plotted.
	Overall, it was determined that the Crossbred algorithm provides an improved complexity over FES (Fast Exhaustive Search) for larger overdetermined systems, but for any overdetermined system, it does not improve the complexity when compared to a state-of-the-art algorithm, Hybrid-$F_5$.
\end{textabstract}

\input{sections/01_introduction.tex}

\input{sections/02_maths.tex}

\input{sections/03_state-of-the-art.tex}

\input{sections/04_crossbred.tex}

\input{sections/05_methodology_results.tex}

\input{sections/06_conclusion.tex}

\bibliography{abbrev0,crypto,biblio}
% NOTES
% - Download abbrev3.bib and crypto.bib from https://cryptobib.di.ens.fr/
% - Use bilbio.bib for additional references not in the cryptobib database.
%   If possible, take them from DBLP.

\end{document}
